using OpenTK;
namespace RecrownedGTK.Graphics.Render {
    public interface IDrawable
    {
        /// <summary>
        /// Fills the parameters with the information needed to draw this texture.!--
        /// </summary>
        /// <param name="vertices">The vertices in pairs of 3 normalized in the order x, y, and z.</param>
        /// <param name="textureData">The texture data to be used. Can be null.</param>
        void Draw(out VertexInformation[] vertices, out TextureData textureData);
    }
}