#version 330 core
in vec3 aPosition;
in vec2 aTexCoord;
in vec4 aColor;
uniform mat4 transform;

out vec2 texCoord;
out vec4 color;

void main()
{
    texCoord = aTexCoord;
    color = aColor;
    gl_Position = vec4(aPosition, 1.0f) * transform;
}